Bug 923587 - [RFE] Notify job owner before External Watchdog kills a recipeset
Summary: [RFE] Notify job owner before External Watchdog kills a recipeset
Status: CLOSED WONTFIX
Alias: None
Product: Beaker
Classification: Community
Component: scheduler
Version: 0.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
Assignee: beaker-dev-list
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-20 06:50 UTC by Marian Csontos
Modified: 2018-02-06 00:41 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-08 02:06:04 UTC


Attachments (Terms of Use)

Description Marian Csontos 2013-03-20 06:50:33 UTC
On EWD user/beaker-devs may want to get hold of the machine before it's scraped.

Timeout should be configurable: 0 - do not notify, no timeout, >0 - notify and wait that many seconds before the machines are killed.


IM (IRC) may be the best channel for notifications: allow list of users (owner, all from CC) and channels (#beaker-ewd) to send a message to.

Comment 1 Amit Saha 2013-04-08 02:06:04 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=639938 covers the problem this bug aims to solve. (at least to the extend it serves the real purpose - that is to reserve the machine before it's EWD-ed).

Comment 2 Amit Saha 2013-04-08 02:08:49 UTC
(In reply to comment #1)
> https://bugzilla.redhat.com/show_bug.cgi?id=639938 covers the problem this
> bug aims to solve. (at least to the extend it serves the real purpose - that
> is to reserve the machine before it's EWD-ed).

s/extend/extent


Note You need to log in before you can comment on or make changes to this bug.